How to install the sprinklers by points

Hello,

I’m trying to install the sprinklers by using points, I manage to install Upright position but I couldn’t install the pendant points because of my point direction.

is there any chance to change the direction of the points?
is there any chance to mirror/flip the families?

You can flip families but you should edit family file and add flip control. After you add it then you can with that Python Script flip the families.

#Copyrights by Deniz Maral
#www.linkedin.com/in/denizmaral/

import clr
clr.AddReference('RevitAPI')
from Autodesk.Revit.DB import *

clr.AddReference("RevitServices")
import RevitServices
from RevitServices.Persistence import DocumentManager
from RevitServices.Transactions import TransactionManager

def Rotate_element(item):
	try:
		item.rotate()
		return True
	except: return False

doc = DocumentManager.Instance.CurrentDBDocument
items = UnwrapElement(IN[0])

TransactionManager.Instance.EnsureInTransaction(doc)
if isinstance(IN[0], list): OUT = [Rotate_element(x) for x in items]
else: OUT = Rotate_element(items)
1 Like